# ntplogtemp - log system temperature data for use by ntpviz

| from the DARPA Atlantic SATNET Program (1979) P is for patching.

## 1. Manual Pages

### 1.1. Manual Pages

- `ntp.conf(5)` - ntpd Configuration File

- `ntp.keys(5)` - NTP symmetric key file format

- `ntpd(8)` - Network Time Protocol (NTP) daemon

- `ntpdig(1)` - Simple Network Time Protocol (SNTP) client

- `ntpfrob(8)` - frob the local clock hardware

- `ntpkeygen(8)` - generate public and private keys

- `ntpleapfetch(8)` fetch and manage leap-offset file

- `ntploggps(1)` - log gpsd data for use by ntpviz

- `ntplogtemp(1)` - log system temperature data for use by ntpviz

- `ntpmon(1)` - real-time NTP status monitor

- `ntpq(1)` - standard NTP query program

- `ntpsnmp(1)` - an AgentX Simple Network Management Protocol sub-agent [`experimental`]

- `ntpsweep(1)` - print information about given NTP servers

- `ntptime(8)` - read and set kernel time variables

- `ntptrace(1)` - trace a chain of NTP servers back to the primary source

- `ntpviz(1)` - make offset, jitter, and other plots from logfiles

- `ntpwait(8)` - wait until ntpd is in synchronized state

## 2. Table of Contents

- SYNOPSIS

- DESCRIPTION

- OPTIONS

- USAGE

- EXIT STATUS

- AUTHORS

## 3. SYNOPSIS

    ntplogtemp [-h] [-l LOGFILE] [-o] [-w WAIT] [-v] [-V]

    -h, --help            show this help message and exit
    -l LOGFILE, --logfile LOGFILE
                          append log data to LOGFILE instead of stdout
    -q, --quiet				be quiet
    -o, --once            log one line, then exit
    -w WAIT, --wait WAIT  wait WAIT seconds after each log line, default 60
    -v, --verbose         be verbose
    -V, --version         show program's version number and exit

## 4. DESCRIPTION

ntplogtemp gathers temperature readings across a system. The standard user is ntpuser and should have permissions to execute lm_sensors and smartctl.

The default is to write the data to stdout once every 60 seconds. The log file looks like:

    # time, sensor, value
    1485816568 ZONE0 39.0
    1485816568 ZONE1 20.0
    1485816568 ZONE2 42.0
    1485816568 ZONE3 0.0

`Time` is the POSIX time of when the log line is written.

`Sensor` is the sensor the temperature reading was obtained from.

`Value` is the temperature reading in celsius.

## 5. OPTIONS

`-h, --help`

  Displays usage information and exits.

`-l LOGFILE, --logfile LOGFILE`

  Append log data to LOGFILE instead of stdout

`-q, --quiet`

  Quiet output, will not display errors

`-o, --once`

  Log the data once, then exit

`-v, --verbose`

  Be verbose

`-w WAIT, --wait WAIT`

  Wait WAIT seconds after each log line. The default is 60 seconds. The minimum wait time is 5 seconds.

`-V, --version`

  show program’s version number and exit

## 6. USAGE

`ntplogtemp`

  This the simplest use of this program. It can be used to check the temperature readings of Zones, CPU, and disk drives every minute.

`ntplogtemp -l /var/log/ntpstats/temperature -w 60 &`

  This will continuously log the temperature data in the background to the file /var/log/ntpstats/temperature. Only log every 60 seconds.

## 7. AUTHORS

Gary E. Miller

Keane S. Wolter

Home Page | Site Map | Contacts